Subject: [CDNi] Thoughts on Naming of Data Objects within CDNI

From: Ben Niven-Jenkins <[email-masked]>
Date: Tue, 8 Feb 2011 16:55:59 +0000

Colleagues,

Following a couple of private comments and an offline discussion with Francois I've written down some thoughts on naming (i.e. referencing) of the data types within a CDNI solution in order to attempt to demonstrate that although a CDNI solution will require definition & use of multiple different types of data object when it comes to naming (or referencing) data objects they can be fairly easily categorised and the number of categories required is much smaller than the number of different data types within the solution.

You can access the draft here:
http://tools.ietf.org/html/draft-jenkins-cdni-names-00

Comments are welcomed as always.

Regards
Ben

On 08/02/2011 16:44, "IETF I-D Submission Tool" <[email-masked]> wrote:

A new version of I-D, draft-jenkins-cdni-names-00.txt has been successfully submitted by Ben Niven-Jenkins and posted to the IETF repository.

Filename:     draft-jenkins-cdni-names
Revision:     00
Title:         Thoughts on Naming and Referencing of Data Objects within Content Distribution Network Interconnection (CDNI) solutions
Creation_date:     2011-02-08
WG ID:         Independent Submission
Number_of_pages: 7

Abstract:
As part of the development of protocols and solutions for CDNI it
will be necessary to agree on common mechanisms for how to identify
and name the data objects that are to be interchanged between
interconnected CDNs, as well as how to describe which policy should
be used when doing so.

This document presents some thoughts on the naming and referencing of
data types/objects within a CDNI solution.

The IETF Secretariat.